%define		_class		Net
%define		_subclass	FTP
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.4.0
Release:	1
Summary:	Comfortable communication with FTP-servers
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_FTP/
Source0:	http://download.pear.php.net/package/Net_FTP-%{version}.tgz
Requires:	php-ftp
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This class allows you to communicate with FTP-servers more comfortable
that the ftp-functions of PHP. Especially you can up- and download
recursively.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests
rm -rf %{buildroot}%{_datadir}/pear/data/%{upstream_name}/CHANGELOG

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean


%files
%doc %{upstream_name}-%{version}/example
%doc %{upstream_name}-%{version}/CHANGELOG
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml
%{_datadir}/pear/data/%{upstream_name}/README

%changelog

* Thu Jan 14 2016 dsilakov <denis.silakov@rosalab.ru> 1.4.0-1
- (c91f4cd) Merge pull request #1 from import/php-pear-Net_FTP:auto_update
- (c91f4cd) Updated to 1.4.0 (by updates_builder)


